Subject: bug#25753: 29.1; Python mode shell interaction not working 100%

From: Peter Mao <[email-masked]>
Date: Thu, 24 Aug 2023 22:32:20 -0700

At least my version of the problem can be traced to a bug in Org's
ob-python.el.  I bisected the commit history, found the offending commit
and reported it to the org mailing list.

Peter

On Fri, Aug 11, 2023 at 10:55 AM Peter Mao <[email-masked]> wrote:

> * Synopsis
>   With 29.1 on OSX and GNU/Linux(Ubuntu), opening a python session in a
> buffer for the
>   second time in a buffer causes Emacs to hang.  (First mentioned in
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753#98).
>
>   The warning message from
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753#5
>   appears on OSX, but not on Ubuntu.  As mentioned in that email, despite
> the
>   warning, completions *do* work.
>
>   The major problem to my workflow is the hanging.  Versions 27 and 28 did
> not
>   have this problem.
>
> * Solutions attempted that do not solve the issue for me
>   1. `pip install gnureadline`
>   2. https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753#41
>   3. ~/.inputrc:  I don't use that on OSX, on Ubuntu, my config is minimal.
>
> * Recipe, system info and .initrc are in the attached org-mode file.
>